# trie_policy.hpp File Reference

## Detailed Description

Contains trie-related policies.

Definition in file trie_policy.hpp.

Go to the source code of this file.

## Namespaces

- namespace __gnu_pbds

## Classes

- struct __gnu_pbds::null_trie_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >
- struct __gnu_pbds::string_trie_e_access_traits< String, Min_E_Val, Max_E_Val, Reverse, Allocator >
- class __gnu_pbds::trie_order_statistics_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >
- class __gnu_pbds::trie_prefix_search_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >

## Defines

- #define PB_DS_BASE_C_DEC
- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_T_DEC
- #define PB_DS_CLASS_T_DEC